Initiate a Call (Authenticated)
Start an outbound call with more control than the public endpoint
Use this endpoint when you need to specify a workflow_run_id to resume context from a previous run, or when you want to use the workflow's integer ID instead of its public UUID.
POST
/api/v1/telephony/initiate-callRequest body#
| Field | Type | Required | Description |
|---|---|---|---|
workflow_id | integer | Yes | — |
workflow_run_id | integer | No | — |
phone_number | string | No | — |
Example request body:
{
"workflow_id": 0,
"workflow_run_id": 0,
"phone_number": "+14155550100"
}Responses#
200 — Successful Response
404 — Not found
422 — Validation Error
{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}